# DSFR

DSFR is a base theme for Drupal, which uses for the frontend the DSFR library ("Design System FRançais" or "Système de Design de l'État").

**Official documentation:** [French State Design System](https://www.systeme-de-design.gouv.fr/)

**Warning:** this theme is experimental.

## Want to update DSFR

From the "DSFR" (theme) folder, Build assets from the repository:

```
cd src && git clone https://github.com/GouvernementFR/dsfr.git dsfr-repository
cd dsfr-repository && npm i --force
npm run build
cp -R dist ../dsfr && cd ..
```

Then, from the "DSFR" (theme) folder:
```
npm run install-dsfr
```

A src/public/dsfr folder will then be present.


## Recompiling the theme

/!\ Please ensure that the DSFR library is located in src/public.  Otherwise follow the instructions above or :

```
cp -R dist/dsfr src/public/dsfr
```

Then: 
```
npm run build
```

## Optional update of the DSFR library

After checking that the 'web/libraries' folder exists:
```
npm run libraries
```

## Supported DSFR library version

The supported DSFR library version is indicated in package.json and the dsfr.libraries.yml file.

## Licence

It is strictly forbidden to use the DSFR outside of the French State's websites (including other public actors, such as territorial administrations).

[Scope of DSFR use](https://www.systeme-de-design.gouv.fr/comment-utiliser-le-dsfr/perimetre-d-application-du-dsfr) (available only in French)
